{
  "name": "writebinaryfile",
  "display_name": "Write Binary File",
  "description": "Writes a binary file to disk",
  "group": [
    "transform"
  ],
  "versions": [
    1.0
  ],
  "inputs": 1,
  "outputs": 1,
  "credentials": [],
  "properties": [
    {
      "name": "fileName",
      "display_name": "File Name",
      "kind": "string",
      "required": true,
      "default": "",
      "description": "Path to which the file should be written"
    },
    {
      "name": "dataPropertyName",
      "display_name": "Property Name",
      "kind": "string",
      "required": true,
      "default": "data",
      "description": "Name of the binary property which contains the data for the file to be written"
    },
    {
      "name": "options",
      "display_name": "Options",
      "kind": "collection",
      "required": false,
      "description": "Whether to append to an existing file"
    }
  ],
  "source_path": "/home/mcochran/n8n/packages/nodes-base/nodes/WriteBinaryFile/WriteBinaryFile.node.ts"
}